package com.palmnest.model;

import java.io.Serializable;


public class TemplateParam implements Serializable {

	/**
	 * 模板参数
	 */
	private static final long serialVersionUID = 7860627978023048689L;

	private Long   wechatTemplateId;
	// 参数名称
	private String name;

	private String paramKey;
	// 参数值
	private String value;

	private Long wechatTemplateMsgId;


	public TemplateParam() {
		super();
	}

	public TemplateParam(String name, String paramKey) {
		super();
		this.name = name;
		this.paramKey = paramKey;
	}

	public TemplateParam(String name, String paramKey,
						 String value) {
		super();
		this.name = name;
		this.paramKey = paramKey;
		this.value = value;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}

	public Long getWechatTemplateId() {
		return wechatTemplateId;
	}

	public void setWechatTemplateId(Long wechatTemplateId) {
		this.wechatTemplateId = wechatTemplateId;
	}

	public String getParamKey() {
		return paramKey;
	}

	public void setParamKey(String paramKey) {
		this.paramKey = paramKey;
	}

	public Long getWechatTemplateMsgId() {
		return wechatTemplateMsgId;
	}

	public void setWechatTemplateMsgId(Long wechatTemplateMsgId) {
		this.wechatTemplateMsgId = wechatTemplateMsgId;
	}

	//设置默认颜色
	public String getColor() {
		return "#173177";
	}


}
